Package twisted :: Package conch :: Module identity :: Class ConchIdentity |
[frames | no frames]

## Class ConchIdentity

    Identity --+
               |
              ConchIdentity

Known Subclasses:
  `OpenSSHConchIdentity`

Method Summary
| ``addClientForService`(self, serviceName, clientClass)` Adds a client class for the given service.
| ``addServiceForSelf`(self, serviceName)` This will add the service, using our name as the name for the perspective.
`str` | ``getHomeDir`(self)` Return the users home directory.
`str` | ``getShell`(self)` Return the users shell.
`tuple` | ``getUserGroupID`(self)` Return a uid and gid for this user as a tuple (uid, gid).
`Deferred` | ``validatePublicKey`(self, pubKeyString)` This should return a Deferred, that gets either called or erred back, depending on if this is a valid key for the user.
Inherited from Identity
| ``__init__`(self, name, authorizer)` Create an identity.
| ``__repr__`(self)`
| ``addKeyByString`(self, serviceName, perspectiveName)` Put a key on my keyring.
| ``addKeyForPerspective`(self, perspective)` Add a key for the given perspective.
| ``challenge`(self)` I return some random data.
| ``getAllKeys`(self)` Returns a list of all services and perspectives this identity can connect to.
| ``removeKey`(self, serviceName, perspectiveName)` Remove a key from my keyring.
| ``requestPerspectiveForKey`(self, serviceName, perspectiveName)` Get a perspective request (a Deferred) for the given key.
| ``requestPerspectiveForService`(self, serviceName)` Get the first available perspective for a given service.
| ``save`(self)` Persist this Identity to the authorizer.
| ``setAlreadyHashedPassword`(self, cyphertext)` (legacy) Set a password for this identity, already md5 hashed.
| ``setPassword`(self, plaintext)`
| ``upgradeToVersion2`(self)`
| ``verifyPassword`(self, challenge, hashedPassword)` Verify a challenge/response password.
| ``verifyPlainPassword`(self, plaintext)` Verify plain text password.

Class Variable Summary
`dict` | `clients` = `{}`
Inherited from Identity
`NoneType` | `hashedPassword` = None

Method Details

### addClientForService(self, serviceName, clientClass) Adds a client class for the given service. Currently unused. Parameters: `serviceName` (type=`str`) `clientClass` (type=`class`)

### addServiceForSelf(self, serviceName) This will add the service, using our name as the name for the perspective. Currently unused. Parameters: `serviceName` (type=`str`)

### getHomeDir(self) Return the users home directory. Returns: `str`

### getShell(self) Return the users shell. Returns: `str`

### getUserGroupID(self) Return a uid and gid for this user as a tuple (uid, gid). Returns: `tuple`

### validatePublicKey(self, pubKeyString) This should return a Deferred, that gets either called or erred back, depending on if this is a valid key for the user. Parameters: `pubKeyString` (type=`str`) Returns: `Deferred`

Class Variable Details

    ### clients Type: `dict` Value:
        {}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net